RubyGems Navigation menu

rubocop 0.54.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.10.0 - February 15, 2021 (469 ko)
  2. 1.9.1 - February 01, 2021 (467 ko)
  3. 1.9.0 - January 28, 2021 (466 ko)
  4. 1.8.1 - January 11, 2021 (459 ko)
  5. 1.8.0 - January 07, 2021 (459 ko)
  6. 0.54.0 - March 21, 2018 (380 ko)
Voir toutes les versions (171)

Dépendances de Runtime (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Dépendances de Development (2):

  • bundler ~> 1.3
  • rack >= 0
  • Propriétaires:

    Auteurs:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    Total de contrôle SHA 256:

    3a2208fe1166b22e109b3a184aa0bd26e04d16e78587b9c714e63980694ade80

    Total de téléchargements 144 090 586

    Pour cette version 3 256 753

    Gemfile:
    = Copier Copié!

    installation:
    =

    License:

    MIT

    Version de Ruby requise: >= 2.1.0

    Liens: